Skip to main content
GET
/
v0
/
ln-address
/
validate
/
{address}
Validate Lightning Address
curl --request GET \
  --url https://api.zbdpay.com/v0/ln-address/validate/{address} \
  --header 'apikey: <apikey>'
{
  "success": true,
  "data": {
    "valid": true,
    "metadata": {
      "minSendable": 10000,
      "maxSendable": 150000000,
      "commentAllowed": 150,
      "tag": "payRequest",
      "metadata": "[[\"text/plain\",\"andre - Welcome to ZBD! ;)\"],[\"text/identifier\",\"andre@zbd.gg\"],[\"image/png;base64\",\"/9j/2wBDAAYEBQ......IUeDcpP9akPkjm3XPid8/OmYZB//9k=\"]]",
      "callback": "https://api.zbdpay.com/v0/process-static-charges/d0f2c3da-e836-480a-bf8c-f5d5b167d6f8",
      "payerData": {
        "name": {
          "mandatory": false
        },
        "identifier": {
          "mandatory": false
        }
      },
      "disposable": false
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.zbdpay.com/llms.txt

Use this file to discover all available pages before exploring further.

Usage

Not all internet identifiers are Lightning Addresses. Make use of this API to validate whether a user’s entered address is indeed a valid Lightning Address that can accept Bitcoin payments.
The idea behind this API endpoint is to verify whether an internet-indentifier (e.g. user@domain.com) is in fact a Lightning Address and NOT an email address. Once verified, use the Send Lightning Address Payment to perform the transaction.

Configuration

Path Parameters

address
string
required
Lightning Address to be verified

Header Parameters

apikey
string
required
ZBD Project API Key
{
  "success": true,
  "data": {
    "valid": true,
    "metadata": {
      "minSendable": 10000,
      "maxSendable": 150000000,
      "commentAllowed": 150,
      "tag": "payRequest",
      "metadata": "[[\"text/plain\",\"andre - Welcome to ZBD! ;)\"],[\"text/identifier\",\"andre@zbd.gg\"],[\"image/png;base64\",\"/9j/2wBDAAYEBQ......IUeDcpP9akPkjm3XPid8/OmYZB//9k=\"]]",
      "callback": "https://api.zbdpay.com/v0/process-static-charges/d0f2c3da-e836-480a-bf8c-f5d5b167d6f8",
      "payerData": {
        "name": {
          "mandatory": false
        },
        "identifier": {
          "mandatory": false
        }
      },
      "disposable": false
    }
  }
}